Previous: read full records, Up: Reading [Contents][Index]

#### Ignoring Blocks of Zeros

Normally, `tar` stops reading when it encounters a block of zeros between file entries (which usually indicates the end of the archive). `--ignore-zeros` (`-i`) allows `tar` to completely read an archive which contains a block of zeros before the end (i.e., a damaged archive, or one that was created by concatenating several archives together).

The `--ignore-zeros` (`-i`) option is turned off by default because many versions of `tar` write garbage after the end-of-archive entry, since that part of the media is never supposed to be read. GNU `tar` does not write after the end of an archive, but seeks to maintain compatibility among archiving utilities.

`--ignore-zeros`
`-i`

  To ignore blocks of zeros (i.e., end-of-archive entries) which may be encountered while reading an archive. Use in conjunction with `--extract` or `--list`.